> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generated Mobile List

> This endpoint creates a list of mobile proxies based on filter parameters.
The search parameters allow the user to filter the proxies by location, session type, and format (e.g., http, socks5, socks5h).




## OpenAPI

````yaml get /public/user/mobile/list
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/mobile/list:
    get:
      tags:
        - Mobile
      summary: Generated Mobile List
      description: >
        This endpoint creates a list of mobile proxies based on filter
        parameters.

        The search parameters allow the user to filter the proxies by location,
        session type, and format (e.g., http, socks5, socks5h).
      parameters:
        - name: list_count
          in: query
          description: Number of proxies to return in the list.
          schema:
            maximum: 1000
            minimum: 1
            type: integer
            default: 100
        - name: list_format
          in: query
          description: >-
            Desired format for the proxies (e.g., "http", "https", "socks5",
            "socks5h", or "standard").
          schema:
            type: string
            default: standard
            enum:
              - standard
              - http
              - https
              - socks5
              - socks5h
        - name: proxy_user_id
          in: query
          description: >-
            ID of the proxy_user you want to use to authenticate with the
            proxies.
          schema:
            type: string
        - name: list_session_type
          in: query
          description: >-
            Session type of the mobile proxies you want returned in the search
            list.
          schema:
            type: string
            default: sticky
            enum:
              - sticky
              - rotating
        - name: country_id
          in: query
          description: >-
            ISO Country Code [(ISO 3166-1
            alpha-2)](https://www.iban.com/country-codes) to generate mobile
            proxies in.
          schema:
            type: string
        - name: city_id
          in: query
          description: ID of the City to generate mobile proxies in.
          schema:
            type: integer
        - name: city_alias
          in: query
          description: Alias of the City to generate mobile proxies in.
          schema:
            type: string
        - name: zip_code_id
          in: query
          description: ID of the Zip Code to generate mobile proxies in.
          schema:
            type: integer
        - name: subdivision_id
          in: query
          description: ID of the US Subdivision to generate the mobile proxies in.
          schema:
            type: integer
        - name: list_smartpath_enabled
          in: query
          description: >-
            Is SmartPath enabled for the mobile proxies you want returned in the
            search list.
          schema:
            type: boolean
        - name: list_session_ttl
          in: query
          description: >-
            The session ttl of the mobile proxies you want returned in the
            search list
          schema:
            type: string
        - name: list_mode
          in: query
          description: Desired mode for mobile network optimization
          schema:
            default: general
            enum:
              - general
              - size
              - speed
      responses:
        '200':
          description: Mobile list successfully generated.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: List of mobile proxies.
                    example:
                      - >-
                        socks5h://1_oGDQZ_c_gb_city_norwich_m_general_s_DDINPY7TQ0781XEO:vxqaFAA99F@mobile.byteful.com:8000
                      - >-
                        socks5h://1_oGDQZ_c_gb_city_norwich_m_general_s_XIINPY7TQ0781XEA:vxqaFAA99F@mobile.byteful.com:8000
                    items:
                      type: string
                  message:
                    type: string
                    description: Success message.
                    example: Mobile list successfully generated.
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````